using System;

namespace IceAssertion
{
	class SimpleI : Demo._SimpleOperations
	{
		#region _SimpleOperations Member

		public void SomeOperations(Ice.Current __current)
		{
		}

		#endregion
	}
	class Class1
	{
		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			Ice.Communicator communicator = Ice.Util.initialize( ref args );
			Ice.ObjectAdapter adapter = communicator.createObjectAdapterWithEndpoints( "OAID", "tcp" );

			Ice.ObjectPrx o = adapter.add( new Demo._SimpleTie( new SimpleI() ), Ice.Util.stringToIdentity( "Simple" ) );

			Console.WriteLine( communicator.proxyToString( o ) );

			adapter.activate();

			adapter.hold();

			adapter.deactivate();

			communicator.shutdown();
			communicator.destroy();
			communicator = null;
		}
	}
}
